SSH_MSG_DISCONNECT causes infinite loop in channel_wait_eof
This issue has been automatically marked as stale because it has not had recent activity. It will be closed if no further activity occurs. Thank you for your contributions.

as far as I know this still hasn't been addressed 
Sorry for letting this go stale. It seems your fix in transport.c should be added. It looks like when transport.c return type was updated this no error value was added, it should probably return an error state in this case.
THANKS!